FROM debian:buster-slim as builder

# Install required packages
RUN apt-get update -q
RUN DEBIAN_FRONTEND=noninteractive apt-get install -yq --no-install-recommends \
      autoconf \
      zlib1g-dev \
      git \
      gcc \
      g++ \
      libssl-dev \
      libreadline-dev \
      openssh-client \
      make \
      curl \
      ca-certificates \
      locales \
      libcurl4-openssl-dev \
      libexpat1-dev \
      gettext \
      unzip \
      && apt-get -yq clean

RUN echo "en_US.UTF-8 UTF-8" > /etc/locale.gen
RUN locale-gen en_US.UTF-8
ENV LANG en_US.UTF-8
ENV LANGUAGE en_US:en
ENV LC_ALL en_US.UTF-8

RUN curl -Lo /tmp/packer.zip https://releases.hashicorp.com/packer/1.8.2/packer_1.8.2_linux_amd64.zip \
    && unzip /tmp/packer.zip -d /usr/local/bin

<%= Snippets.new(include: %w[versions git ruby tmpclean]).populate %>

FROM debian:buster-slim
MAINTAINER GitLab Inc. <support@gitlab.com>
COPY --from=builder / /
